<?php

//team
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count', 2);
    $cols++;
    switch($cols){
         case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6 col-xs-12';
        break;
    } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
            $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            //$team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
            $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
            //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        $teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        $team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

         $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>

        <div class="<?php echo $colCls;?> single-team">
            <div class="our-team">
                <div class="single-team-img">       
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                    ?>  
                    <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                    <div class="tmimgbrd"></div>
                </div>
                <div class="team-con">
                    <h4 class="inner-area-title  ">
                        <?php the_title(); ?>
                    </h4>
                    <div class="team-designation ">
                        <?php echo ($team_area_designation); ?>      
                    </div>
                        <div class="clearfix"></div>
                    <div class="team-social-icon">
                            
                       <?php if ($team_area_facebook) { ?>
                        <li>
                            <a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                <i class="fa fa-facebook"></i>
                            </a>
                        </li>
                        <?php } ?>

                        <?php if ($team_area_instagram) { ?>
                        <li>
                            <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" >
                                <i class="fa fa-instagram"></i>
                            </a>
                        </li>  
                        <?php } ?>

                        <!-- <li>
                            <a target="_blank" href="<//?php echo esc_url($team_area_pinterest) ?>">
                                <i class="fa fa-pinterest"></i>
                            </a>
                        </li> -->

                        <?php if ($team_area_linkedin) { ?>
                        <li>
                            <a target="_blank" href="<?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> 
                        </li>
                        <?php } ?>

                        <?php if ($team_area_twitter) { ?>
                        <li>
                            <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" >
                                <i class="fa-brands fa-x-twitter"></i>
                            </a>
                        </li>
                        <?php } ?>
                                
                    </div>
                </div> 
            </div>
                  <!-- <div class="our-teamout">
                   </div> -->
<script type="text/javascript">
$(document).ready(function(){
    var highestBox = 0;
        $('#innerpage-box .our-team').each(function(){  
                if($(this).height() > highestBox){  
                highestBox = $(this).height();  
        }
    });    
    $('#innerpage-box .our-team').height(highestBox);
});
</script>           
        </div>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 10);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();
            ?>
            <div class=" item innertest-item ">
                <div class="ts-area-single ">
                    <div class="wrap">
                      <div class="circle-donut"></div>
                      <div class="circle-donut-rhs"></div>
                    </div>
                    <div class="ts-inn">
                        <div class="col-md-3 pd-0">
                            <div class="ts-area-thumb">
                                <!-- <i class="fa fa-quote-left" aria-hidden="true"></i> -->
                                <img src="<?php echo (!empty($lz_fitness_image[0])) ? $lz_fitness_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="detailbx">
                                <h6 class="ts-area-title inner-area-title"><?php the_title(); ?></h6>
                                 <div class="text-designation">
                                    <?php
                                        $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                        echo (!empty($name2[0])) ? $name2[0] : '';
                                     ?> 
                                </div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="ts-area-content">
                            <p><?php
                                if (has_excerpt()) {
                                    echo get_the_excerpt();
                                } else {
                                    echo get_the_content();
                                }
                                ?> 
                            </p> 
                            <i class="fa fa-quote-right" aria-hidden="true"></i>
                        </div>
                        
                        <div class="clearfix"></div>
                    </div>
                </div>
            <!-- innerpage-->
                <div class="tsareasingleinn">
                    <div class="tsarea-inn">
                        <div class="ts-area-content">         
                            <p><?php
                                if (has_excerpt()) {
                                    echo get_the_excerpt();
                                } else {
                                    echo get_the_content();
                                }
                                ?> 
                                <i class="fa fa-quote-right" aria-hidden="true"></i>
                            </p>  
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="tsimg-inn">
                         <li>
                            <div class="ts-area-thumb">
                                <img src="<?php echo (!empty($lz_fitness_image[0])) ? $lz_fitness_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                                <div class="tsimg-brd"></div>
                            </div>
                        </li>
                        <li>
                            <div class=" detailbx">
                                <h5 class="ts-area-title "><?php the_title(); ?></h5>
                                <div class="text-designation">
                                    <?php
                                        $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                            echo (!empty($name2[0])) ? $name2[0] : '';
                                    ?> 
                                </div> 
                            </div>
                        </li>
                        <div class="clearfix"></div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            <!--innerpage-->
            <script type="text/javascript">
            $(document).ready(function(){
                var highestBox = 0;
                    $('#innerpage-box .tsareasingleinn').each(function(){  
                            if($(this).height() > highestBox){  
                            highestBox = $(this).height();  
                    }
                });    
                $('#innerpage-box .tsareasingleinn').height(highestBox);
            });
            </script>   
 
            </div>

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',2);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();
                
                 $servicesNum = get_post_meta($post->ID, 'servicesNum', false);
                    $services_Num = !empty($servicesNum[0]) ? $servicesNum[0] : '';
                ?>
        <div class="<?php echo $colCls;?> single-service-bx ">
            <div class="single-service">
                <div class="service-icon pd-0">
                   <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                    ?>
                    <div class="ser-img">
                        <a href="<?php the_permalink(); ?>"><img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="serbg"></div>
                        </a>
                    </div> 
                    <a href="<?php the_permalink(); ?>">
                        <div class="sec-iocn">
                            <i class="<?php echo $services_page_icon1; ?>"></i>     
                            <div class="ser-olay"></div>
                        </div> 
                    </a> 
                </div>
                <div class="service-title-box">
                    <a href="<?php the_permalink(); ?>"> <h4><?php the_title(); ?></h4></a>
                    <p class="post-text inner-area-text"> <?php
                        if(has_excerpt()){
                          echo get_the_excerpt();
                         }else{
                          echo luzuk_excerpt( get_the_content() , 200 );
                         } 
                        ?>
                    </p>

                    <!-- section btn start-->
                    <?php if( get_theme_mod('services_button1_display','show' ) == 'show') :
                    ?>
                    <?php
                        $servicesbutn_text1 = get_theme_mod('servicesbutn_text1', 'Read More');
                        ?>

                    <div class="servicesbtn">
                        <a href="<?php the_permalink(); ?>"><?php echo $servicesbutn_text1; ?></a>
                    </div>
                    <?php endif ?>

                    <!-- section btn end-->
                    
                    <!-- Inner Page btn start-->
                    <?php
                        $innservicesbutn_text = get_theme_mod('innservicesbutn_text', 'Read More');
                        ?>

                    <div class="servicesinnerbtn">
                        <a href="<?php the_permalink(); ?>"><?php echo $innservicesbutn_text; ?></a>
                    </div>
                    <!-- Inner Page btn end-->
                </div>
                
            <div class="clearfix"></div>
            </div>  
<script type="text/javascript">
    $(document).ready(function(){
        var highestBox = 0;
            $('#innerpage-box .single-service-bx').each(function(){  
                    if($(this).height() > highestBox){  
                    highestBox = $(this).height();  
            }
        });    
        $('#innerpage-box .single-service-bx').height(highestBox);
    });
</script>
  
        </div>
        
            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}

/**
 * Use for the show the gallery at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */

/*gallery*/

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {

  ob_start();

  $args = array('post_type' => 'our-gallery');
  if (!empty($pageId)) {
    $args['page_id'] = absint($pageId);
  }
  $args['posts_per_page'] = -1;
  $colCls = '';
    // if($isCustomizer == true){
  $cols = get_theme_mod('gallery_npp_count', 7);  
  ++$cols;
  switch ($cols) {
    case 1:
    $colCls = 'col-md-12 col-sm-12';
    break;
    case 2:
    $colCls = 'col-md-6 col-sm-6';
    break;
    case 3:
    case 5:
    case 6:
    case 9:
    $colCls = 'col-md-4 col-sm-6';
    break;
    case 4:
    case 7:
    case 8:
    case 10:
    case 11:
    case 12:
    $colCls = 'col-md-3 col-sm-6';
    break;
    default: 
    $colCls = 'col-md-4 col-sm-6';
    break;
  }
  $text = '';
  $query = new WP_Query($args);
  if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
      $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
      if ($isCustomizer === true) {
      } else {
      }
      $post = get_post();

      ?>

      <!-- for homepage -->
        <div class="<?php echo $colCls; ?>  spa-gallimg pd-0">
            <div class="lz-gallery-images">
                <figure class="spa-gall">
                <?php
                    if (has_post_thumbnail()) {
                      $image_url = $lz_fitness_image[0];
                    } else {
                      $image_url = get_template_directory_uri() . '/images/about1.jpg';
                    }
                ?>
                    <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        
                    <a data-fancybox="gallery" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">
                        <div class="overlay"></div>
                        <i class="fa fa-plus"></i>
                    </a>
                </figure>
            </div>
        </div>  
      <!-- for homepage -->
        <!--inner page -->
        <div class="<?php echo $colCls; ?> gallinn pd-0">
            <div class="lz-gallery-images">
                <figure class="spa-gall">
                <?php
                    if (has_post_thumbnail()) {
                      $image_url = $lz_fitness_image[0];
                    } else {
                      $image_url = get_template_directory_uri() . '/images/about1.jpg';
                    }
                ?>
                    <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        
                    <a data-fancybox="gallery" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">
                        <div class="overlay"></div>
                        <i class="fa fa-plus"></i>
                    </a>
                </figure>
            </div>
        </div> 
<script type="text/javascript">
    $(document).ready(function(){
        var highestBox = 0;
            $('#innerpage-box .lz-gallery-images').each(function(){  
                    if($(this).height() > highestBox){  
                    highestBox = $(this).height();  
            }
        });    
        $('#innerpage-box .lz-gallery-images').height(highestBox);
    });
</script> 

        <!--endinner page -->
      <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
  endif;
  wp_reset_postdata();
  return $text;
}


/**
 * Use for the show the pricing at home page and in pricing page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return void
 * @author Luzuk <support@luzuk.com>
 * */
function pricingShortcode() {
      ob_start();
      $cols = get_theme_mod('pricing_npp_count', 2);
      $cols++;
      switch ($cols) {
        case 1:
            $colCls = 'col-md-12 col-sm-12 col-xs-12';
            break;
            case 2: 
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
            case 3:
            case 5:
            case 6:
            case 9:
            case 11:
            case 13:
            case 15:
            $colCls = 'col-md-4 col-sm-6 col-xs-12';
            break;
            default: 
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
    }

    $showStatic = true;
    for ($i = 1; $i <= $cols; $i++) {
        $PlanPageId = get_theme_mod('pricing_plan_page_' . $i);
        $pricing_page_icon = get_theme_mod('pricing_plan_page_icon_'.$i);
        $planTitle  = get_theme_mod('pricing_plan_name_' . $i, 'Standard Plan');
        $planunit  = get_theme_mod('pricing_plan_unit_' . $i,'$');
        $planPrice  = get_theme_mod('pricing_plan_price_' . $i,'30');
        $planContent= get_theme_mod('pricing_plan_content_' . $i, '
            <p>Excepteur sint occaecat cupidatat non proi dent sunt in culpa.</p>
            <li>1 Bathroom Cleaning</li>
            <li>Up to 3 Bedrooms Cleaning</li>
            <li>1 Livingroom Cleaning</li>');

        $link = get_theme_mod('pricing_plan_url'.$i);
        $url = get_theme_mod('pricing_plan_url_'.$i, '#');

        if ($PlanPageId || $planTitle || $planunit || $planPrice || $planContent || $url || $pricing_page_icon) {
          $showStatic = false;
          ?>
          <div class="<?php echo $colCls; ?> pd-0">
            <div class="single-pricing ">
            <div class="pr-s-area">
                <h4 class="plan-title inner-area-title" href="#">
                    <?php echo ($planTitle); ?>
                </h4>
                <div class="currency-price"><?php echo ($planunit); ?><?php echo ($planPrice); ?></div>
                <svg viewbox="0 0 100 25">
                    <path fill="#fff" d="M0 30 V19 Q30 28 50 20 T100 25 V30z" />
                </svg>
            </div>
            <ul class="pricing-list section-area-text "> <?php echo ($planContent); ?></ul>
            
            <?php
            $pricing_page_id = get_theme_mod('pricing_page');
            $pricing_page_button_title = get_theme_mod('pricing_page_button_title_'.$i, 'Select Plan');
            ?>
            <?php if($pricing_page_button_title){ ?>
                <div class="pc-btn " data-wow-duration="4s">    
                    <a class="btn btn-lg" href="<?php echo esc_url(!empty($url)?$url:'#');?>" data-hover="/f178" >
                       <?php echo ($pricing_page_button_title);  ?>
                    </a>
                </div>
              

            <?php } ?>
            <!--  <div class="clearfix"></div> -->
        </div>
    </div>
    <?php
}
}
if ($showStatic === true) {
  for ($i = 1; $i <= $cols; $i++) {
    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    ?>
    <div class="<?php echo $colCls; ?> plan">
      <div class="pricing-plans">

        <div class="price-box">
          <div class="price-bx">

            <div class="plan-cost">$30</div>
        </div>
        <div class="clearfix"></div>
        <h4 class="plan-title">STANDARD</h4>
        <div class="table-content">
        Excepteur sint occaecat cupidatat non proi dent sunt in culpa.
     </div>
     <div class="clearfix"></div>
     <div class="pri-table-link">
      <a class="btn" href="#">DETAILS</a>
  </div>
</div>
<!-- <div class="clearfix"></div> -->
</div>
</div>
<?php
}

}

$pricingHtml = ob_get_contents();
        // echo $pricingHtml;
ob_flush();
ob_clean();
}

